jvx.numeric

## Class PnLanczos

- java.lang.Object
- - jvx.numeric.PnLanczos

-     public class PnLanczos
      extends java.lang.Object

  Lanczos method - computes (incomplete) tridiagonalization T of an symmetric input matrix A. Eigenvalues of T approximates extreme eigenvalues of A. A is only given through a vector-matrix-multiplication.
  Author:
    Christoph von Tycowicz
  Version:
    28.08.2008, 1.00 created (cvt)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PnLanczos.PnMatrixVectorProductIf` Interface encapsulating the product of a vector v with a square matrix A: A*v.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnLanczos(PnLanczos.PnMatrixVectorProductIf product)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeEigenpairs(PdVector values, PdVector[] vectors, int count)` Compute spectrum of incomplete tridiagonalization T.
    `void` | `computeEigenpairs(PdVector values, PdVector[] vectors, int count, int offset, int dim)` Compute spectrum of incomplete tridiagonalization T.
    `PdVector` | `getRitzVector(PdVector v)` Compute Ritz-vector using lanczos vector.
    `void` | `tridiagonalize(PdVector diagonal, PdVector offDiagonal, int dimension)` Compute tridiagonalization T of symmetric matrix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnLanczos

          public PnLanczos(PnLanczos.PnMatrixVectorProductIf product)

      Author:
        Christoph von Tycowicz
      Version:
        28.08.2008, 1.00 created (cvt)

  - ### Method Detail

    - #### tridiagonalize

          public void tridiagonalize(PdVector diagonal,
                                     PdVector offDiagonal,
                                     int dimension)

      Compute tridiagonalization T of symmetric matrix.
      Parameters:
        `diagonal` - vector holding diagonal elements of tridiagonalization
        `offDiagonal` - vector holding off-diagonal elements
        `dimension` - determines dimension of T

    - #### getRitzVector

          public PdVector getRitzVector(PdVector v)

      Compute Ritz-vector using lanczos vector.
      Parameters:
        `v` - eigenvector of tridiagonalization
      Returns:
        eigenvector of input matrix

    - #### computeEigenpairs

          public void computeEigenpairs(PdVector values,
                                        PdVector[] vectors,
                                        int count)

      Compute spectrum of incomplete tridiagonalization T.
      Parameters:
        `values` - elements will be overriden with eigenvalues
        `vectors` - empty array for storing the eigenvectors
        `count` - number of computed eigenpairs

    - #### computeEigenpairs

          public void computeEigenpairs(PdVector values,
                                        PdVector[] vectors,
                                        int count,
                                        int offset,
                                        int dim)

      Compute spectrum of incomplete tridiagonalization T.
      Parameters:
        `values` - elements will be overriden with eigenvalues
        `vectors` - empty array for storing the eigenvectors
        `count` - number of computed eigenpairs
        `offset` - startindex for the results in values and vectors
        `dim` - dimension of tridiagonalization (must be greater than count, at most dimension of eigenproblem)

"

The software JavaView? is copyright protected. All Rights Reserved.
"